import math

def longitudePlus(longitude_actuelle, deplacement_metre,latitude):
	rayon_terre_metres = 6371000
	latitude_radians = math.radians(latitude)
	circonference_terre_metres = 2 * math.pi * rayon_terre_metres * math.cos(latitude_radians)
	longueur_degre_longitude_metres = circonference_terre_metres / 360
	return longitude_actuelle + (deplacement_metre / longueur_degre_longitude_metres)
	 
def longitudeMoins(longitude_actuelle, deplacement_metre, latitude):
	rayon_terre_metres = 6371000
	latitude_radians = math.radians(latitude)
	circonference_terre_metres = 2 * math.pi * rayon_terre_metres * math.cos(latitude_radians)
	longueur_degre_longitude_metres = circonference_terre_metres / 360
	print(type(longitude_actuelle))
	return longitude_actuelle - (deplacement_metre / longueur_degre_longitude_metres)


def latitudePlus(latitude_actuelle, deplacement_metre):
	rayon_terre_metres = 6371000
	return latitude_actuelle - (deplacement_metre / rayon_terre_metres) * (180 / math.pi)
	
def latitudeMoins(latitude_actuelle, deplacement_metre):
	rayon_terre_metres = 6371000
	nouvelle_latitude = latitude_actuelle + (deplacement_metre / rayon_terre_metres) * (180 / math.pi)
	return nouvelle_latitude

def Milieu(Latitude,Longitude,distance,definition):
	Latitude=latitudeMoins(Latitude,distance/2)
	Longitude=longitudeMoins(Longitude,distance/2,Latitude)	
	lenX=int(distance/definition)
	lenY=int(distance/definition)
	deplacement_metres = definition
	return Latitude,Longitude,lenX,lenY,deplacement_metres